﻿@model MvcWebsiteOcc.Areas.administrators.Models.FileDownload

@{
    ViewBag.Title = "Upload File Download";
    ViewBag.Description = "phan quyen";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/news_manager/files_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        <button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-7 col-sm-7 col-xs-12">

                                @*<ul class="nav nav-tabs  tabs-flat">

                                    @{foreach (var lang in langs)
                                      {
                                          if (lang.IsDefault == true)
                                          {
                                        <li class="active"><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li> 
                                          }
                                          else
                                          {
                                        <li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                                 <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  
                                          }
                                      }}
                                </ul>*@

                                <div class="tab-content  tabs-flat">

                                    @*@{ int i = 0;
                                       foreach (var lang in langs)
                                       {
                                           string activeTab = "";
                                           if (lang.IsDefault == true)
                                           {
                                               activeTab = "active";
                                           }
                                      
                                        *@
                                    <div class="tab-pane active" id="OK">
                                        <div id="registration-form">
                                            <div class="row">

                                                <div class="form-title">
                                                    Thông tin File
                                                </div>
                                                @* @Html.HiddenFor(p => p[i].Lang_ID, new { Value = lang.Lang_ID })*@
                                                <div class="form-group">
                                                    <label for="emailInput">@Html.LabelFor(model => model.FileTitle)</label>
                                                    @Html.TextBoxFor(p => p.FileTitle, new { @class = "form-control" })
                                                    <span class="help-block warning">@Html.ValidationMessageFor(p => p.FileTitle)</span>
                                                </div>

                                                <div class="form-group">
                                                    <label for="emailInput">@Html.LabelFor(model => model.FileDescription)</label>
                                                    @Html.TextAreaFor(p => p.FileDescription, new { @class = "form-control textAuto summernote" })
                                                    <span class="help-block warning">@Html.ValidationMessageFor(p => p.FileDescription)</span>

                                                    @* <div id="summernote" class="textAuto"></div>*@
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                    @*    i++;
                                       }
                                    }*@

                                </div>

                            </div>
                            <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                <div class="form-title">
                                    File
                                </div>
                                <div class="row">
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        @*  <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>*@
                                        <span class="help-block warning">@ViewBag.Mess</span>
                                    </div>
                                    <div class="col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-group">
                                            @(Html.Kendo().Upload()
                                                        .Name("file_download")
                                                        .TemplateId("langTemplate")
                                                        .Events(events => events.Select("onSelectFile"))
                                                        .Messages(m => m.Select("Upload file"))
                                                        .Multiple(false)

                                                       )

                                        <script id="langTemplate" type="text/x-kendo-template">
                                            <span class='k-progress'></span>
                                            <img class='k-icon #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                            <span class='k-filename'>#=name#</span>
                                            <strong class="k-upload-status">
                                                <button type="button" class="k-button k-button-bare k-upload-action">
                                                    <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                </button>
                                            </strong>
                                        </script>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-title">
                                            Ngôn ngữ
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                <select class="select" name="Lang_ID" style="width: 100%">
                                                    <option value="">Chọn ngôn ngữ</option>
                                                    @{foreach (var lang in langs)
                                                      {
                                                          if (lang.IsDefault == true)
                                                          {
                                                                    <option value="@lang.Lang_ID" selected="selected"> -- @lang.Lang_Name</option>
                                                          }
                                                          else
                                                          {
                                                                <option value="@lang.Lang_ID"> -- @lang.Lang_Name</option>
                                                          }
                                                      
                                                      }}
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                        <div class="form-title">
                                            Trạng thái
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                <div class="form-group">
                                                    <div class="checkbox">
                                                        <label>
                                                            <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                            <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
<script>
    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                   Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                  Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>
@section PageScripts{

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });

        $(document).ready(function () {
            $("#news").addClass("active open");
            $("#downloads").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/news_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });
    </script>

}